public class BatchExportRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
cursor
When you call this operation to export data, you must specify the `Cursor` parameter.
|
Integer |
length
The maximum number of data entries that can be returned in each response.
|
List<String> |
measurements
The statistical methods used to customize the returned data.
|
String |
metric
The metric that is used to monitor the cloud service.
|
String |
namespace
The namespace of the cloud service.
|
| 构造器和说明 |
|---|
BatchExportRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static BatchExportRequest |
build(Map<String,?> map) |
String |
getCursor() |
Integer |
getLength() |
List<String> |
getMeasurements() |
String |
getMetric() |
String |
getNamespace() |
BatchExportRequest |
setCursor(String cursor) |
BatchExportRequest |
setLength(Integer length) |
BatchExportRequest |
setMeasurements(List<String> measurements) |
BatchExportRequest |
setMetric(String metric) |
BatchExportRequest |
setNamespace(String namespace) |
@NameInMap(value="Cursor") public String cursor
When you call this operation to export data, you must specify the `Cursor` parameter. You can obtain the value of the `Cursor` parameter by using one of the following methods:
* When you call this operation for the first time, you must call the Cursor operation to obtain the `Cursor` value. For more information, see [Cursor](~~2330730~~).
* When you call this operation again, you can obtain the `Cursor` value from the returned data of the last call.
@NameInMap(value="Length") public Integer length
The maximum number of data entries that can be returned in each response.
Valid values: 1 to 10000.
@NameInMap(value="Measurements") public List<String> measurements
The statistical methods used to customize the returned data. By default, the measurements based on all statistical methods are returned.
For example, the `cpu_idle` metric of ECS (`acs_ecs_dashboard`) has three statistical methods: `Average`, `Maximum`, and `Minimum`. If you want to return only the measurements based on the `Average` and `Maximum` statistical methods, set this parameter to `["Average", "Maximum"]`.
The statistical methods of metrics are displayed in the `Statistics` column on the Metrics page of each cloud service. For more information, see [Appendix 1: Metrics](~~163515~~).
@NameInMap(value="Metric") public String metric
The metric that is used to monitor the cloud service.
For more information about the metrics of cloud services, see [Appendix 1: Metrics](~~163515~~).
> The value of this parameter must be the same as the value of the request parameter `Metric` in the Cursor operation.
@NameInMap(value="Namespace") public String namespace
The namespace of the cloud service.
For more information about the namespaces of cloud services, see [Appendix 1: Metrics](~~163515~~).
> The value of this parameter must be the same as the value of the request parameter `Namespace` in the Cursor operation.
public static BatchExportRequest build(Map<String,?> map) throws Exception
Exceptionpublic BatchExportRequest setCursor(String cursor)
public String getCursor()
public BatchExportRequest setLength(Integer length)
public Integer getLength()
public BatchExportRequest setMeasurements(List<String> measurements)
public BatchExportRequest setMetric(String metric)
public String getMetric()
public BatchExportRequest setNamespace(String namespace)
public String getNamespace()
Copyright © 2024. All rights reserved.